MIDIInstrumentData

data

## Class MIDIInstrumentData

- java.lang.Object
- - data.MIDIInstrumentData

-     public class MIDIInstrumentData
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `basses`
    `private java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `brasses`
    `private java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `chromaticpercussion`
    `private java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `ensembles`
    `private java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `ethnics`
    `private java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `guitars`
    `private java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `organs`
    `private java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `percussivs`
    `private java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `pianos`
    `private java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `pipes`
    `private java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `reeds`
    `private java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `soundeffects`
    `private java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `strings`
    `private java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `syntheffects`
    `private java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `synthleads`
    `private java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `synthpads`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MIDIInstrumentData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `getBasses()`
    `java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `getBrasses()`
    `java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `getChromaticpercussion()`
    `java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `getEnsembles()`
    `java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `getEthnics()`
    `java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `getGuitars()`
    `java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `getOrgans()`
    `java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `getPercussivs()`
    `java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `getPianos()`
    `java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `getPipes()`
    `java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `getReeds()`
    `java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `getSoundeffects()`
    `java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `getStrings()`
    `java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `getSyntheffects()`
    `java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `getSynthleads()`
    `java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `getSynthpads()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pianos

          private java.util.LinkedHashMap<java.lang.String,java.lang.Integer> pianos

    - #### chromaticpercussion

          private java.util.LinkedHashMap<java.lang.String,java.lang.Integer> chromaticpercussion

    - #### organs

          private java.util.LinkedHashMap<java.lang.String,java.lang.Integer> organs

    - #### guitars

          private java.util.LinkedHashMap<java.lang.String,java.lang.Integer> guitars

    - #### basses

          private java.util.LinkedHashMap<java.lang.String,java.lang.Integer> basses

    - #### strings

          private java.util.LinkedHashMap<java.lang.String,java.lang.Integer> strings

    - #### ensembles

          private java.util.LinkedHashMap<java.lang.String,java.lang.Integer> ensembles

    - #### brasses

          private java.util.LinkedHashMap<java.lang.String,java.lang.Integer> brasses

    - #### reeds

          private java.util.LinkedHashMap<java.lang.String,java.lang.Integer> reeds

    - #### pipes

          private java.util.LinkedHashMap<java.lang.String,java.lang.Integer> pipes

    - #### synthleads

          private java.util.LinkedHashMap<java.lang.String,java.lang.Integer> synthleads

    - #### synthpads

          private java.util.LinkedHashMap<java.lang.String,java.lang.Integer> synthpads

    - #### syntheffects

          private java.util.LinkedHashMap<java.lang.String,java.lang.Integer> syntheffects

    - #### ethnics

          private java.util.LinkedHashMap<java.lang.String,java.lang.Integer> ethnics

    - #### percussivs

          private java.util.LinkedHashMap<java.lang.String,java.lang.Integer> percussivs

    - #### soundeffects

          private java.util.LinkedHashMap<java.lang.String,java.lang.Integer> soundeffects

  - ### Constructor Detail

    - #### MIDIInstrumentData

          public MIDIInstrumentData()

  - ### Method Detail

    - #### getPianos

          public java.util.LinkedHashMap<java.lang.String,java.lang.Integer> getPianos()

    - #### getChromaticpercussion

          public java.util.LinkedHashMap<java.lang.String,java.lang.Integer> getChromaticpercussion()

    - #### getOrgans

          public java.util.LinkedHashMap<java.lang.String,java.lang.Integer> getOrgans()

    - #### getGuitars

          public java.util.LinkedHashMap<java.lang.String,java.lang.Integer> getGuitars()

    - #### getBasses

          public java.util.LinkedHashMap<java.lang.String,java.lang.Integer> getBasses()

    - #### getStrings

          public java.util.LinkedHashMap<java.lang.String,java.lang.Integer> getStrings()

    - #### getEnsembles

          public java.util.LinkedHashMap<java.lang.String,java.lang.Integer> getEnsembles()

    - #### getBrasses

          public java.util.LinkedHashMap<java.lang.String,java.lang.Integer> getBrasses()

    - #### getReeds

          public java.util.LinkedHashMap<java.lang.String,java.lang.Integer> getReeds()

    - #### getPipes

          public java.util.LinkedHashMap<java.lang.String,java.lang.Integer> getPipes()

    - #### getSynthleads

          public java.util.LinkedHashMap<java.lang.String,java.lang.Integer> getSynthleads()

    - #### getSynthpads

          public java.util.LinkedHashMap<java.lang.String,java.lang.Integer> getSynthpads()

    - #### getSyntheffects

          public java.util.LinkedHashMap<java.lang.String,java.lang.Integer> getSyntheffects()

    - #### getEthnics

          public java.util.LinkedHashMap<java.lang.String,java.lang.Integer> getEthnics()

    - #### getPercussivs

          public java.util.LinkedHashMap<java.lang.String,java.lang.Integer> getPercussivs()

    - #### getSoundeffects

          public java.util.LinkedHashMap<java.lang.String,java.lang.Integer> getSoundeffects()